package utils

import (
	"applet/app/utils/cache"
	"fmt"
	"github.com/gin-gonic/gin"
)

func ClearRedis(c *gin.Context) {
	var str = []string{"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"}
	key := fmt.Sprintf("%s:cfg_cache", c.GetString("mid"))
	cache.Del(key)
	key2 := fmt.Sprintf("%s:virtual_coin_cfg", c.GetString("mid"))
	cache.Del(key2)
	for _, v := range str {
		key1 := fmt.Sprintf("%s:cfg_cache:%s", c.GetString("mid"), v)
		cache.Del(key1)
	}

}
func ClearRedisDb(dbname string) {
	var str = []string{"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"}
	key := fmt.Sprintf("%s:cfg_cache", dbname)
	cache.Del(key)
	key2 := fmt.Sprintf("%s:virtual_coin_cfg", dbname)
	cache.Del(key2)
	for _, v := range str {
		key1 := fmt.Sprintf("%s:cfg_cache:%s", dbname, v)
		cache.Del(key1)
	}

}
